Bug 444330 - SELinux is preventing libvirtd (virtd_t) "sys_ptrace" to <Unknown> (virtd_t).
SELinux is preventing libvirtd (virtd_t) "sys_ptrace" to <Unknown> (virtd_t).
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 05:15 EDT by Geert Jansen
Modified: 2013-03-13 02:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 11:42:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
avc-denial-1 (2.44 KB, text/plain)
2008-04-27 05:18 EDT, Geert Jansen
no flags Details
avc-denial-2 (2.49 KB, text/plain)
2008-04-27 05:19 EDT, Geert Jansen
no flags Details
avc-denial-3 (2.46 KB, text/plain)
2008-04-27 05:19 EDT, Geert Jansen
no flags Details
virt-manager-error (611 bytes, text/plain)
2008-04-27 05:19 EDT, Geert Jansen
no flags Details

  None (edit)
Description Geert Jansen 2008-04-27 05:15:48 EDT
Description of problem:

Starting up virt-manager on Fedora 9 as a normal user results in an AVC denial
and breaks virt-manager.

Running virt-manager as root works.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.3.1-35.fc9.noarch
libvirt-0.4.2-1.fc9.x86_64
virt-manager-0.5.4-3.fc9.x86_64

How reproducible:

Always

Steps to Reproduce:

1. Install F9 preview release, including virt-manager and kvm.
2. Run Applications -> System Tools -> Virtual Machine Manager
3. The system asks for the root password.
4. Error message: Unable to open a connection to the libvirt management daemon.
See attachment.
  
Actual results:

virt-manager cannot open a connection to libvirtd

Expected results:

virt-manager can connect and manage local virtual machines

Additional info:
Comment 1 Geert Jansen 2008-04-27 05:18:46 EDT
Created attachment 303905 [details]
avc-denial-1
Comment 2 Geert Jansen 2008-04-27 05:19:02 EDT
Created attachment 303906 [details]
avc-denial-2
Comment 3 Geert Jansen 2008-04-27 05:19:21 EDT
Created attachment 303907 [details]
avc-denial-3
Comment 4 Geert Jansen 2008-04-27 05:19:40 EDT
Created attachment 303908 [details]
virt-manager-error
Comment 5 Daniel Walsh 2008-05-07 11:42:32 EDT
-Fixed in selinux-policy-3.3.1-45.fc9

Note You need to log in before you can comment on or make changes to this bug.